# Class DataType

java.lang.Object
uk.ac.starlink.datanode.nodes.DataType

public class DataType extends Object
Enumeration-like class describing types of data object which can be supplied by a DataNode. This is intended to cover the sort of object - like a table or array - which can have useful things done to it by external applications. It's not designed to enumerate a fine-grained list of all possible objects which might relate to a node.

Since:
  19 Jan 2005
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DataType`
`DATA_SOURCE`
DataType representing a `DataSource` object.
`static final DataType`
`TABLE`
DataType representing a `StarTable` object.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DataType(String name, Class clazz)`
Constructs a new DataType.

## Method Summary

Modifier and Type
Method
Description
`Class`
`getDataClass()`
Returns the class of data object corresponding to this type.
`String`
`getName()`
Returns the name of this type.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TABLE

public static final DataType TABLE
DataType representing a `StarTable` object.

### DATA_SOURCE

public static final DataType DATA_SOURCE
DataType representing a `DataSource` object.

## Constructor Details

### DataType

protected DataType(String name, Class clazz)
Constructs a new DataType.

Parameters:
  `name` - type name
  `clazz` - class of data object corresponding to this type

## Method Details

### getName

public String getName()
Returns the name of this type.

Returns:
  type name

### getDataClass

public Class getDataClass()
Returns the class of data object corresponding to this type.

Returns:
  data object class

### toString

public String toString()

Overrides:
  `toString` in class `Object`